## DEBMAKER
The main goal of this project is allow to create application from source without install compilation utility directly on the main system.
Compilation environnements are stores in temporary files.
All package are install with chroot environnement.

### Usage

To create deb file you just need to run the bellow command :

```bash
. joplin-server2deb
debmake_runAllStep
```

### packages available in shared repository

  - [element-web](#element-web)
  - [gotify](#gotify)
  - [joplin-server](#joplin-server)
  - [rss-bridge](#rss-bridge)
  - [vaultwarden and vaultwarden-web](#vaultwarden-and-vaultwarden-web)
  - [wallabag](#wallabag)
  - [zigbee2mqtt](#zigbee2mqtt)

#### element-web

```bash
wget -qO - https://deb.lgy.fr/install.sh | bash
apt install element-web

# sample configuration for apache2

cp /usr/share/doc/element-web/apache2-element-web.conf /etc/apache2/sites-available/element-web.conf
a2ensite element-web

# edit /etc/apache2/sites-available/element-web.conf
# edit /etc/element-web/config.json

systemctl restart apache2
```

#### gotify

```bash
apt install -y python wget ca-certificates
wget -qO - https://deb.lgy.fr/install.sh | bash
apt-get update
apt-get install -y gotify-server

#Edit /etc/gotify/config.yml

systemctl enable --now gotify
```

#### joplin-server

```bash
apt install -y python wget ca-certificates
wget -qO - https://deb.lgy.fr/install.sh | bash
wget -qO - https://deb.nodesource.com/setup_16.x | bash
apt-get update
apt-get install -y joplin-server

#Edit /etc/default/joplin-server

systemctl enable --now joplin-server
```

#### rss-bridge

```bash
wget -qO - https://deb.lgy.fr/install.sh | bash
apt install rss-bridge

# sample configuration for apache2

apt install libapache2-mod-php
cp /usr/share/doc/rss-bridge/apache2-rss-bridge.conf /etc/apache2/site-available/rss-bridge.conf
a2ensite rss-bridge

# edit /etc/apache2/site-available/rss-bridge.conf

systemctl restart apache2
```

#### vaultwarden and vaultwarden-web

```bash
wget -qO - https://deb.lgy.fr/install.sh | bash
apt install vaultwarden vaultwarden-web

#Edit /etc/default/vaultwarden

systemctl enable --now vaultwarden
```

#### wallabag

```bash
wget -qO - https://deb.lgy.fr/install.sh | bash
apt install wallabag

# sample configuration for apache2

apt install libapache2-mod-php
cp /usr/share/doc/rss-bridge/apache2-wallabag.conf /etc/apache2/site-available/wallabag.conf
a2ensite wallabag

# edit /etc/apache2/site-available/wallabag.conf

systemctl restart apache2
```

#### zigbee2mqtt

```bash
apt install -y wget ca-certificates
wget -qO - https://deb.lgy.fr/install.sh | bash
apt-get install -y zigbee2mqtt

#Edit /etc/zigbee2mqtt/configuration.yaml

systemctl enable --now zigbee2mqtt
```
